﻿using ReportingServices.ReportingObjects;

namespace ReportingServices.Models.ProductionReport
{
    public class DailyReport
    {
        public List<ReactorOutsByDay> OutsByDay { get; set; }
        public List<ScrapByDay> ScrapByDay { get; set; }
        public Dictionary<string, ToolAvailibilityByType> ToolAvailibilityByType { get; set; }
        public Dictionary<string, ToolStateByType> ToolStateByType { get; set; }

        public DailyReport(List<ReactorOutsByDay> outsByDay, List<ScrapByDay> scrapByDay, Dictionary<string, ToolAvailibilityByType> toolAvailibilityByType, Dictionary<string, ToolStateByType> toolStateByType)
        {
            OutsByDay = outsByDay;
            ScrapByDay = scrapByDay;
            ToolAvailibilityByType = toolAvailibilityByType;
            ToolStateByType = toolStateByType;
        }


    }
}
