﻿using ReportingServices.ReportingObjects;
using System.Text.Json;

namespace ReportingServices.HelperClasses
{
    public class XMLReader
    {
        public void SaveJSONFile(DailyReportingSummary rpt)
        {
            string json = JsonSerializer.Serialize(rpt);
            File.WriteAllText("wwwroot/Assets/DailyReportInfo.json", json);
        }

        public DailyReportingSummary LoadJSONFile()
        {
            string json = File.ReadAllText("wwwroot/Assets/DailyReportInfo.json");
            return JsonSerializer.Deserialize<DailyReportingSummary>(json);
        }
    }
}
